--- a/third-party/libtm/fw/CMakeLists.txt
+++ b/third-party/libtm/fw/CMakeLists.txt
@@ -19,15 +19,15 @@
 
 function(target_binary url version sha1 symbol ext)
   set(binary "${CMAKE_CURRENT_BINARY_DIR}/${symbol}-${version}${ext}")
-  file(DOWNLOAD "${url}/${version}/${symbol}-${version}${ext}" "${binary}"
-       EXPECTED_HASH SHA1=${sha1}
-       STATUS status)
-  list(GET status 0 error_code)
-  if (NOT ${error_code} EQUAL 0)
-    message(FATAL_ERROR "Download TM2 firmwnare (${status}) - ${url}")
-  else()
+  #file(DOWNLOAD "${url}/${version}/${symbol}-${version}${ext}" "${binary}"
+  #     EXPECTED_HASH SHA1=${sha1}
+  #     STATUS status)
+  #list(GET status 0 error_code)
+  #if (NOT ${error_code} EQUAL 0)
+  #  message(FATAL_ERROR "Download TM2 firmwnare (${status}) - ${url}")
+  #else()
     message(STATUS "Download TM2 firmware ${status} for ${symbol}-${version}${ext}")
-  endif()
+  #endif()
   string(TOUPPER ${symbol} SYMBOL)
   string(REPLACE "." "," version_commas ${version})
   string(REPLACE "\\" "\\\\" binary_escaped "${binary}")
